SAP Knowledge Base Article - Preview

2668226 - Error 404 for resource ./sap/f/library-preload.json under FLP@EP

Symptom

  • You are using the Fiori Launchpad on Enterprise Portal (FLP@EP)
  • You are consuming an application (SAP Standard or Custom) via Remote Content Consumption
  • When you try to open the app, you see an error (pictured below): Could not open app. Please try again later.
    could-not-app.png
  • You check the application via the Fiori Launchpad URL on the Gateway/FES system (if applicable), and the application loads properly
  • Checking the Web Browser F12 Developer Tools Console tab, you see an error similar to the below: 
    "core-min-0.js:75 GET http://<host>:<port>/sapui5/resources/~xxxxxxxxxxxxxxx~/sap/f/library-preload.json 404 (Not Found)
    core-min-0.js:92 2018-07-14 01:48:33.584100 failed to preload 'sap.f.library-preload': Not Found - sap.ui.ModuleSystem
    core-min-0.js:92 2018-07-14 01:48:33.845300 Failed to load U5 component for navigation intent #<application_id> - Error: failed to preload libraries sap.ushell.renderers.fiori2.Shell.controller
    core-min-0.js:92 2018-07-14 01:48:33.847899 Could not open app. Please try again later. -"
  • Checking a web browser Network trace (e.g: via the F12 Developer Tools, Fiddler, HTTPWatch etc.) you observe a 404 File Not found error for resource:
    http://<host>:<port>/sapui5/resources/~xxxxxxxxxxxxxxx~/sap/f/library-preload.json

Read more...

Environment

  • SAP NetWeaver Application Server for Java 7.31 and higher releases
  • FLP@EP

Product

SAP NetWeaver 7.4 ; SAP NetWeaver 7.5 ; SAP enhancement package 1 for SAP NetWeaver 7.3

Keywords

ep, enterprise, portal, fiori, framework, page, ffp, flp, flp@ep, front, end, server, frontend, gateway, r3, launchpad, intent, resolution, resolve, resolving, sapf, sap/f, sap.f, library, preload, json, js, app, application, odata , KBA , EP-PIN-NAV-FFP , Fiori Framework Page , EP-PIN-AI , Application Integration , EP-PIN-NAV , Navigation , CA-UI2-INT-FE , Please use CA-FLP-FE-COR , CA-UI2-INT-BE , Please use CA-FLP-ABA , CA-UI5-COR , SAP UI5 Core and Runtime , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.